// ---------------------------------------------------------------------
//
// flpost; status.h
//
// Copyright (C) 2019
//              David Freese, W1HKJ
//
// flpost is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// flrig is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ---------------------------------------------------------------------


#ifndef _status_H
#define _status_H
/** \ingroup FLPOST
 * \brief Various utility fuctions to control and display status  */

#include <string>

using namespace std;

struct status {
	int		mainX;
	int		mainY;

	int		rpc_level;

	std::string mail_out_url;
	std::string mail_out_port;
	std::string mail_in_url;
	std::string mail_in_port;
	std::string mail_user_name;
	std::string mail_user_password;
	std::string mail_from;

	void saveLastState();
	void loadLastState();

};

extern status progStatus;

#endif
